---
title: "The documentation provides step-by-step installation instructions for the integration, including, if needed, prerequisites"
---

## Reasoning

We want users to have a smooth experience when setting up an integration.
This means that the documentation should provide clear and concise instructions on how to install the integration.
This includes any prerequisites that are needed to install the integration.

## Example implementation

```markdown showLineNumbers
## Prerequisites

1. Open the app store and install the **MyProduct** app.
2. Create an account.
3. Add a device to the app.
4. Open the app and go to the **Settings** page.
5. Select **Expose API**.

{% include integrations/config_flow.md %}
```

## Exceptions

There are no exceptions to this rule.